[**Headlamp Sealed Secrets API v0.2.0**](../README.md)

***

[Headlamp Sealed Secrets API](../README.md) / types

# types

## Interfaces

- [SealedSecretSpec](interfaces/SealedSecretSpec.md)
- [SealedSecretCondition](interfaces/SealedSecretCondition.md)
- [SealedSecretStatus](interfaces/SealedSecretStatus.md)
- [SealedSecretInterface](interfaces/SealedSecretInterface.md)
- [PluginConfig](interfaces/PluginConfig.md)
- [SecretKeyValue](interfaces/SecretKeyValue.md)
- [EncryptionRequest](interfaces/EncryptionRequest.md)
- [CertificateInfo](interfaces/CertificateInfo.md)

## Type Aliases

- [Result](type-aliases/Result.md)
- [AsyncResult](type-aliases/AsyncResult.md)
- [PlaintextValue](type-aliases/PlaintextValue.md)
- [EncryptedValue](type-aliases/EncryptedValue.md)
- [Base64String](type-aliases/Base64String.md)
- [PEMCertificate](type-aliases/PEMCertificate.md)
- [SealedSecretScope](type-aliases/SealedSecretScope.md)

## Variables

- [DEFAULT\_CONFIG](variables/DEFAULT_CONFIG.md)

## Functions

- [PlaintextValue](functions/PlaintextValue.md)
- [EncryptedValue](functions/EncryptedValue.md)
- [Base64String](functions/Base64String.md)
- [PEMCertificate](functions/PEMCertificate.md)
- [unwrap](functions/unwrap.md)
- [Ok](functions/Ok.md)
- [Err](functions/Err.md)
- [tryCatch](functions/tryCatch.md)
- [tryCatchAsync](functions/tryCatchAsync.md)
